Subject: bug#66050: Making perl-mode.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Sun, 17 Sep 2023 11:20:28 -0700

Jens Schmidt <[email-masked]> writes:

> cperl-mode already has some big-config-sweep-knobs, like it seems
> (`cperl-hairy').  It would certainly be nice to also have some
> "make-things-work-like-in-perl-mode-but-sans-its-bugs" knob if it came
> to obsoleting perl-mode.  For me, the most important things to cover
> here would be a nearly-identical look-and-feel for indentation and
> syntax highlighting.

Which features would be covered by `like-perl-mode-sans-bugs', that are
not already covered by `cperl-hairy'?  Is it just a matter of setting
some already existing options or is "more work" needed?

> One could even imagine to flip that knob automatically when `cperl-mode'
> gets started as `perl-mode'.

Maybe, but then again some users might want to continue using the
original perl-mode even if it's obsolete.